package com.qhtx.eta.domain.service.impl;

import com.qhtx.eta.domain.convert.DWIndexDTOConverter;
import com.qhtx.eta.domain.convert.DWIndexDataDTOConverter;
import com.qhtx.eta.domain.entity.DWIndexDTO;
import com.qhtx.eta.domain.service.ETAPushDataService;
import com.qhtx.eta.infra.entity.dw.TEtaIndexPushTask;
import com.qhtx.eta.infra.service.TEtaIndexPushTaskService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ETAPushDataServiceImpl implements ETAPushDataService {

    @Resource
    private TEtaIndexPushTaskService tEtaIndexPushTaskService;

    @Override
    public List<DWIndexDTO> getPushIndexTaskList() {
        return DWIndexDTOConverter.INSTANCE.convertToDTOList(tEtaIndexPushTaskService.getAllTask());
    }

    @Override
    public TEtaIndexPushTask getETAPushTaskByIndexCode(String indexCode) {
        return tEtaIndexPushTaskService.getByIndexCode(indexCode);
    }

    @Override
    public void updateTaskByIndexCode(TEtaIndexPushTask tEtaIndexPushTask) {
        tEtaIndexPushTaskService.update(tEtaIndexPushTask);
    }
}
